osg::ConstAttributeFunctorArrayVisitor Class Reference

`#include <Drawable>`

Inheritance diagram for osg::ConstAttributeFunctorArrayVisitor:

## Public Member Functions

| ConstAttributeFunctorArrayVisitor (Drawable::ConstAttributeFunctor &af)
virtual | ~ConstAttributeFunctorArrayVisitor ()
virtual void | apply (const ByteArray &array)
virtual void | apply (const ShortArray &array)
virtual void | apply (const IntArray &array)
virtual void | apply (const UByteArray &array)
virtual void | apply (const UShortArray &array)
virtual void | apply (const UIntArray &array)
virtual void | apply (const Vec4ubArray &array)
virtual void | apply (const FloatArray &array)
virtual void | apply (const Vec2Array &array)
virtual void | apply (const Vec3Array &array)
virtual void | apply (const Vec4Array &array)
virtual void | apply (const DoubleArray &array)
virtual void | apply (const Vec2dArray &array)
virtual void | apply (const Vec3dArray &array)
virtual void | apply (const Vec4dArray &array)
void | applyArray (Drawable::AttributeType type, const Array *array)
Public Member Functions inherited from osg::ConstArrayVisitor
| ConstArrayVisitor ()
virtual | ~ConstArrayVisitor ()
virtual void | apply (const Array &)
virtual void | apply (const Vec2bArray &)
virtual void | apply (const Vec3bArray &)
virtual void | apply (const Vec4bArray &)
virtual void | apply (const Vec2sArray &)
virtual void | apply (const Vec3sArray &)
virtual void | apply (const Vec4sArray &)
virtual void | apply (const Vec2iArray &)
virtual void | apply (const Vec3iArray &)
virtual void | apply (const Vec4iArray &)
virtual void | apply (const Vec2ubArray &)
virtual void | apply (const Vec3ubArray &)
virtual void | apply (const Vec2usArray &)
virtual void | apply (const Vec3usArray &)
virtual void | apply (const Vec4usArray &)
virtual void | apply (const Vec2uiArray &)
virtual void | apply (const Vec3uiArray &)
virtual void | apply (const Vec4uiArray &)
virtual void | apply (const MatrixfArray &)
virtual void | apply (const MatrixdArray &)
virtual void | apply (const UInt64Array &)
virtual void | apply (const Int64Array &)

## Protected Member Functions

ConstAttributeFunctorArrayVisitor & | operator= (const ConstAttributeFunctorArrayVisitor &)

## Protected Attributes

Drawable::ConstAttributeFunctor & | _af
Drawable::AttributeType | _type

## Constructor & Destructor Documentation

## ConstAttributeFunctorArrayVisitor()

osg::ConstAttributeFunctorArrayVisitor::ConstAttributeFunctorArrayVisitor | ( | Drawable::ConstAttributeFunctor & | af | ) |

inline

References _af, and _type.

Referenced by operator=().

## ~ConstAttributeFunctorArrayVisitor()

virtual osg::ConstAttributeFunctorArrayVisitor::~ConstAttributeFunctorArrayVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const ByteArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [2/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const DoubleArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [3/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const FloatArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [4/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const IntArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [5/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const ShortArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [6/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const UByteArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [7/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const UIntArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [8/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const UShortArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [9/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec2Array & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [10/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec2dArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [11/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec3Array & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [12/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec3dArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [13/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec4Array & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [14/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec4dArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## apply() [15/15]

virtual void osg::ConstAttributeFunctorArrayVisitor::apply | ( | const Vec4ubArray & | array | ) |

inline virtual

Reimplemented from osg::ConstArrayVisitor.

References _af, _type, osg::MixinVector< ValueT >::empty(), osg::MixinVector< ValueT >::front(), and osg::MixinVector< ValueT >::size().

## applyArray()

void osg::ConstAttributeFunctorArrayVisitor::applyArray | ( | Drawable::AttributeType | type,
|  | const Array * | array )

inline

References _type, and osg::Array::accept().

## operator=()

ConstAttributeFunctorArrayVisitor & osg::ConstAttributeFunctorArrayVisitor::operator= | ( | const ConstAttributeFunctorArrayVisitor & |  | ) |

inline protected

References ConstAttributeFunctorArrayVisitor().

## Member Data Documentation

## _af

Drawable::ConstAttributeFunctor& osg::ConstAttributeFunctorArrayVisitor::_af

protected

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), and ConstAttributeFunctorArrayVisitor().

## _type

Drawable::AttributeType osg::ConstAttributeFunctorArrayVisitor::_type

protected

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), applyArray(), and ConstAttributeFunctorArrayVisitor().

The documentation for this class was generated from the following file:

- Drawable